> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Analysis Results

GET the results of an analysis in JSON format. Note that there is no fixed response schema, and analyses that do not have JSON results (or which cannot be fetched) will return a 404. We strongly recommend using the [Classification Results](/api-reference/classification-resource-results), [Panel Results](/api-reference/panel-resource-results), or [Alignment Results](/api-reference/alignment-resource-results) directly where applicable.


## OpenAPI

````yaml GET /api/v1/analyses/{id}/results
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/analyses/{id}/results:
    get:
      summary: GET analyses results
      operationId: get_analyses_results
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                description: The results of the analysis.
                type: object
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````